%global pypi_name packaging
%global commitId b10b90a7d1c3afac6852462fa2548db231810adf

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:          python%{?component_prefix}-%{pypi_name}
Version:       21.3
Release:       2%{?dist}
Summary:       Core utilities for Python packages

License:       BSD or ASL 2.0
URL:           https://github.com/pypa/packaging
Source0:       python-packaging-b10b90a7d1c3afac6852462fa2548db231810adf.tar.gz
BuildArch:     noarch

BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-rpm-macros
BuildRequires: python%{python3_pkgversion}-setuptools >= 40.8

%description
This library provides utilities that implement the interoperability
specifications which have clearly one correct behaviour (eg: PEP 440) or
benefit greatly from having a single shared implementation (eg: PEP 425).

%package -n python%{python3_pkgversion}-%{pypi_name}

Summary:       Core utilities for Python packages

Requires:      python%{python3_pkgversion}-pyparsing >= 2.0.2
Conflicts:     python%{python3_pkgversion}-pyparsing = 3.0.5

%description -n python%{python3_pkgversion}-%{pypi_name}
This library provides utilities that implement the interoperability
specifications which have clearly one correct behaviour (eg: PEP 440) or
benefit greatly from having a single shared implementation (eg: PEP 425).

%prep
%autosetup -n python-%{pypi_name}-%{commitId}

%build
%{py3_build}

%install
%{py3_install}

%files -n python%{python3_pkgversion}-%{pypi_name}
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info
%license LICENSE LICENSE.APACHE LICENSE.BSD
%doc CHANGELOG.rst README.rst

%changelog
* Tue Jan 17 2023 Dimitri Savineau <dsavinea@redhat.com> - 21.3-2
- Rebuild for pyparsing conflict

* Fri Jul 01 2022 Satoe Imaishi <simaishi@redhat.com> - 21.3-1
- Update to 21.3

* Wed Mar 09 2022 Dimitri Savineau <dsavinea@redhat.com> - 21.2-1
- Initial package
